{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs = {
    nixpkgs,
    self,
  }: let
    pkgs = nixpkgs;

    mkAllSystems = lib.genAttrs [
      "aarch64-darwin"
      "aarch64-linux"
      "i686-linux"
      "x86_64-darwin"
      "x86_64-linux"
    ];

    inherit (pkgs) lib;
  in {
    formatter = mkAllSystems (system: pkgs.legacyPackages.${system}.alejandra);

    devShells = mkAllSystems (system: let
      pkgs = nixpkgs.legacyPackages.${system};

      inherit (pkgs) mkShell;
    in rec {
      default = mkShell {
        nativeBuildInputs = [pkgs.dnscontrol];

        shellHook = ''
          echo "Bitte einen deSEC-Auth-Token eingeben:"
          read -rs DESEC_AUTH_TOKEN
          export DESEC_AUTH_TOKEN
        '';
      };
    });
  };
}

